#ifndef COMBOBOXWIDGETFACTORY_H
#define COMBOBOXWIDGETFACTORY_H

#include "IxWidgetFactory.h"

class ComboBoxWidget;

class ComboBoxWidgetFactory : public IxWidgetFactory
{
public:
    ComboBoxWidgetFactory();

public:
    virtual void create(qx::IxDataMember *dataMember, QWidget *parent);

    virtual QString type() const;

    virtual QWidget *getWidget() const;

    virtual IxWidget *getIxWidget() const;

private:
    ComboBoxWidget *widget;
};

#endif // COMBOBOXWIDGETFACTORY_H
